﻿param(
    [ValidateNotNullOrEmpty()]
    [Parameter(Mandatory = $true, Position = 0)]
    [string] $inputPath,

    [ValidateNotNullOrEmpty()]
    [Parameter(Mandatory = $true, Position = 1)]
    [string] $outputPath
)

# Verify the the input file exists
if (!(Test-Path $inputPath -PathType Leaf)){
    Write-Warning "The input file '$inputPath' does not exist"
}

# If the output file exits, confirm whether to overwrite
if (Test-Path $outputPath -PathType Leaf) {
    $overwrite = $Host.UI.PromptForChoice("Question", "The output file '$outputPath' already exists. Do you want to overwrite it (Yes or No)?", @("&Yes", "&No"), 1)
    if ($overwrite -eq 1) {
        return
    }
}


$original = Get-Content -Path $inputPath
$updated = $original.Replace('&amp;lt;Type&amp;gt;BMC Remedy AR System&amp;lt;/Type&amp;gt;', '&amp;lt;Type&amp;gt;BMC Helix ITSM&amp;lt;/Type&amp;gt;')
Out-File -FilePath $outputPath -InputObject $updated -Encoding ascii





